Cannot start when using more than xmx786m

I can start idea with xmx786m. But if I set the value to anything larger, I get the below error.


This is on Windows XP-64 using the jdk-1.6.04 included with idea.

I have had a similar with eclipse, where only the eclipse 3.4-M4 for 64bit allows the use of more than xmx786m so this is probably not just an idea issue.

Anyone else using windows-64 seeing this problem?

4 comments
Comment actions Permalink

The problem appears to be with the YourKit profiler, which is launched via the "yjpagent" switch in the "idea.exe.vmoptions" file. Note that this is only included in the EAP builds and not the standard releases. Try removing that switch from your idea.exe.vmoptions file and see if your issue goes away.

Ultimately, the issue may stem from the fact that IDEA is released with the 32 bit JVM and you are running such on a 64 bit OS. A profiler will be far more susceptible to issues in doing such than most code. This thread -- http://forums.yourkit.com/viewtopic.php?t=323& -- from the YourKit forum is on the very issue you are facing (same error message from YourKit running on 64 bit machine). It may offer a solution.

0
Comment actions Permalink

Removing:


Results in a dialog with "The JVM coudl not be started. The main method may have thrown an exception" when started from the .exe.

However I can launch via idea.bat. Launching via idea.bat is now I have had to start previous version on 64bit windows. Was the yourkit agent only added in the most recent EAP?

BTW, I run yourkit as a plugin to Idea and Eclipse with no problems on XP-64.

Thanks!!

0
Comment actions Permalink

not sure this will help but if you only intend to remove yourkit, you should keep the "-ea"

0
Comment actions Permalink

i have this issue as well running on windows 2003 sp1, 64 bit. using 32 bit jvm. i'm folowing up with our engineering team to see if it is a java on windows 64-bit issue, because maven failed in the same way as well.

0

Please sign in to leave a comment.